votes up 1

Tunneling via CONNECT method using HTTP/2.0 is not yet supported

Package:
scrapy
github stars 41445
Exception Class:
NotImplementedError

Raise code

                warnings.warn("Using HTTPS proxies in the noconnect mode is not supported by the "
                              "downloader handler. If you use Crawlera, it doesn't require this "
                              "mode anymore, so you should update scrapy-crawlera to 1.3.0+ "
                              "and remove '?noconnect' from the Crawlera URL.")

            if scheme == b'https' and not omit_connect_tunnel:
                # ToDo
                raise NotImplementedError('Tunneling via CONNECT method using HTTP/2.0 is not yet supported')
            return self._ProxyAgent(
                reactor=reactor,
                context_factory=self._context_factory,
                proxy_uri=URI.fromBytes(to_bytes(proxy, encoding='ascii')),
                connect_timeout=timeout,
                bind_address=bind_address,
                pool=self._pool,

Comment explaining raise

ToDo

NO FIXES YET

Just press the button and we will add solution
to this exception as soon as possible

* As many users press the button, the faster we create a fix

Add a possible fix

Please authorize to post fix